معالجات الأدوات

GET https://stories.venofy.com/api/notification-handlers/
curl --request GET \
--url 'https://stories.venofy.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
المعلمات التفاصيل الوصف
page اختياري عدد صحيح رقم الصفحة التي تريد النتائج منها. الافتراضي هو 1.
results_per_page اختياري عدد صحيح عدد النتائج التي تريدها في كل صفحة. القيم المسموح بها هي: 10 , 25 , 50 , 100 , 250 , 500 , 1000. الافتراضي هو 25.
{ "data": [ { "id": 1, "type": "email", "name": "Work email", "settings": { "email": "[email protected]" }, "is_enabled": true, "last_datetime": null, "datetime": "2021-06-27 22:16:23" } ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://stories.venofy.com/api/notification-handlers?&page=1", "last": "https://stories.venofy.com/api/notification-handlers?&page=1", "next": null, "prev": null, "self": "https://stories.venofy.com/api/notification-handlers?&page=1" } }
GET https://stories.venofy.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://stories.venofy.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "type": "email", "name": "Work email", "settings": { "email": "[email protected]" }, "is_enabled": true, "last_datetime": null, "datetime": "2021-06-27 22:16:23" } }
POST https://stories.venofy.com/api/notification-handlers
المعلمات التفاصيل الوصف
name مطلوب سلسلة -
type مطلوب سلسلة القيم المسموح بها: email , webhook , slack , discord , telegram , microsoft_teams , whatsapp
email اختياري سلسلة متاحة عندما: type = email البريد الإلكتروني
webhook اختياري سلسلة متاحة عندما: type = webhook رابط ويب هوك
slack اختياري سلسلة متاحة عندما: type = slack رابط ويب هوك لسلَك
discord اختياري سلسلة متاحة عندما: type = discord رابط ويب هوك لديسكورد
telegram اختياري سلسلة متاحة عندما: type = telegram رمز API لتيليجرام
telegram_chat_id اختياري سلسلة متاحة عندما: type = telegram معرف دردشة تيليجرام
x_consumer_key اختياري سلسلة متاحة عندما: type = x رمز API لتيليجرام
x_consumer_secret اختياري سلسلة متاحة عندما: type = x رمز API لتيليجرام
x_access_token اختياري سلسلة متاحة عندما: type = x رمز API لتيليجرام
x_access_token_secret اختياري سلسلة متاحة عندما: type = x رمز API لتيليجرام
whatsapp اختياري سلسلة متاحة عندما: type = whatsapp رقم الهاتف
curl --request POST \
--url 'https://stories.venofy.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{ "data": { "id": 1 } }
POST https://stories.venofy.com/api/notification-handlers/{notification_handler_id}
المعلمات التفاصيل الوصف
name اختياري سلسلة -
type اختياري سلسلة القيم المسموح بها: email , webhook , slack , discord , telegram , microsoft_teams , whatsapp
email اختياري سلسلة متاحة عندما: type = email البريد الإلكتروني
webhook اختياري سلسلة متاحة عندما: type = webhook رابط ويب هوك
slack اختياري سلسلة متاحة عندما: type = slack رابط ويب هوك لسلَك
discord اختياري سلسلة متاحة عندما: type = discord رابط ويب هوك لديسكورد
telegram اختياري سلسلة متاحة عندما: type = telegram رمز API لتيليجرام
telegram_chat_id اختياري سلسلة متاحة عندما: type = telegram معرف دردشة تيليجرام
x_consumer_key اختياري سلسلة متاحة عندما: type = x رمز API لتيليجرام
x_consumer_secret اختياري سلسلة متاحة عندما: type = x رمز API لتيليجرام
x_access_token اختياري سلسلة متاحة عندما: type = x رمز API لتيليجرام
x_access_token_secret اختياري سلسلة متاحة عندما: type = x رمز API لتيليجرام
whatsapp اختياري سلسلة متاحة عندما: type = whatsapp رقم الهاتف
is_enabled اختياري قيمة منطقية -
curl --request POST \
--url 'https://stories.venofy.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{ "data": { "id": 1 } }
DELETE https://stories.venofy.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://stories.venofy.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \